# Use the official ASP.NET Core runtime as a parent image
FROM mcr.microsoft.com/dotnet/aspnet:5.0

# Create and set the working directory in the container
WORKDIR /app

# Copy the published ASP.NET Core application into the container
COPY bin/Release/net5.0/publish/ .

# Expose the port your application will run on (e.g., 80)
EXPOSE 80

# Define the command to start your ASP.NET Core application
CMD ["./YourAppName"]
